Skip to content
Back to top
View this page

# GiftBackground

class telegram.GiftBackground(center_color, edge_color, text_color, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object describes the background of a gift.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal if their `center_color`, `edge_color` and `text_color` are equal.

  Available In

  `telegram.Gift.background`

  Added in version 22.6.

  Parameters:

    - center_color (`int`) – Center color of the background in RGB format.

    - edge_color (`int`) – Edge color of the background in RGB format.

    - text_color (`int`) – Text color of the background in RGB format.

  center_color

    Center color of the background in RGB format.

    Type:

      `int`

  edge_color

    Edge color of the background in RGB format.

    Type:

      `int`

  text_color

    Text color of the background in RGB format.

    Type:

      `int`